ANI Response Codes

Account Name Inquiry (ANI) matches are performed with Query Card API.

Was the match performed? (codeMatch)

All ANI matches include the codeMatch and the relevant Visa or Mastercard name match fields.

CodeDefinition
MName match performed
NName match not performed
U

Name match not supported

Note: Indicates that the issuer may not support ANI.

 "ANI": {
            "codeMatch": "M",
        }
 "ANI": {
            "codeMatch": "U",
        }

ANI Name Match

View the following card network name match fields.

Visa and Discover* ANI Name Match Fields

⚠️

No ANI Discover Network Issuer Mandate

ANI return rates depend on issuer participation. Because Discover does not currently require issuer participation, ANI coverage may be more limited on Discover transactions than on Visa or Mastercard.

The following Visa ANI response fields codes are used with ANI Name Name Match Codes. for each of the following:

  • codeFullName (Full name match)
  • codeFirstName (First name match)
  • codeMiddleName (Middle name match)
  • codeLastName (Last name match)

For the full response example, refer to Query Card API response, and select 200 - ANI.

"ANI": {
            "codeMatch": "M",
            "codeFullName": "M",
            "codeFirstName": "M",
            "codeLastName": "M"
        }
"ANI": {
            "codeMatch": "M",
            "codeFullName": "P",
            "codeFirstName": "P",            
						"codeMiddleName": "M",
            "codeLastName": "M"
        }
"ANI": {
            "codeMatch": "M",
            "codeFullName": "M",
            "codeFirstName": "M",
            "codeLastName": "M"
 }

//Discover may have limited coverage due to a lack of mandates for participating issuers. 
"ANI": {
            "codeMatch": "M",
            "codeFullName": "P",
            "codeFirstName": "P",            
						"codeMiddleName": "M",
            "codeLastName": "M"
}

//Discover may have limited coverage due to a lack of mandates for participating issuers. 

*Note: Discover may have limited coverage due to a lack of mandates for participating issuers.

Mastercard ANI Full Name Match Fields

The following Mastercard ANI response fields are used with ANI Name Name Match Codes.

  • codeFullName (Full name match)
 "ANI": {
            "codeMatch": "M",
            "codeFullName": "M",
        }
 "ANI": {
            "codeMatch": "M",
            "codeFullName": "P",
        }

ANI Last Name Match Codes

The following ANI response codes are used for both Visa and Mastercard fields.

CodeDefinition
MMatch
PPartial Match
NNo Match

You can find ANI in the 200 - ANI Query Card Response API or in the response in the following ANI Recipe.